Subject: RE: PMP> Comments on Printer Port Monitor MIB 1.0 working draft d ated March 21, 2005

From: "McDonald, Ira" <[email-masked]>
Date: Fri, 25 Mar 2005 08:14:42 -0800

Hi Ron,

Going all the way back to the first Microsoft draft and ever since,
it's clear that the MS "port" entry has to have a separate device
index for each port, because the 'hr...' status objects have to be
separate for EACH port.  

Remember the main MS model is NOT an embedded printer.  It's either 
an external network adaptor or a spooler.  In both of these cases, 
only ONE protocol is being exposed fore each "port".

This isn't a new restriction.

In the case of an external network adaptor, each "port" is literally
a different direct-connect printer.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Blue Roof Music / High North Inc
PO Box 221  Grand Marais, MI  49839
phone: +1-906-494-2434
email: [email-masked]

-----Original Message-----
From: Bergman, Ron [mailto:[email-masked]]
Sent: Thursday, March 24, 2005 3:03 PM
To: McDonald, Ira; Adams, Charles A; [email-masked]
Subject: RE: PMP> Comments on Printer Port Monitor MIB 1.0 working draft
dated March 21, 2005

Ira,

Regarding your comment:

2. ppmPortHrDeviceIndex - This seems to imply an hrDeviceTable entry is
needed for each port on the system. Is this the expected behavior? 
Or is this just the hrDeviceIndex of the printer? 
Or is the the hrDeviceIndex for the network card?

<ira>  For the Microsoft tool (TCPMon), EACH port (channel) has to
have a separate 'hrDeviceIndex' - this is different than typical
Printer MIB implementations, but it's a Microsoft tool limitation.
Note that Microsoft TCPMon _only_ supports LPR and Raw ports (no
other protocol is supported or contemplated according to co-editor
Mike Fenelon from the Microsoft Longhorn printing team), so this
only means two 'hrDeviceIndex' values at most (for each printer).
</ira>

I do not recall ever hearing this.  It certainly is not clear from
the MIB text (see below) that this is the case.  If this is true
then it is not really hrDeviceIndex that is indicated but is just
ppmPortIndex.

Also, for the printers I work with there will be a minimum of 10
ports reported.  If IPP is enable, there will be a minimum of 15.
The maximum number will be 192.

	Ron

From the MIB:
ppmPortHrDeviceIndex OBJECT-TYPE
    SYNTAX      Integer32 (0..2147483647)
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
"The value of 'hrDeviceIndex' in the IETF Host Resources MIB 
(RFC 1514/2790), to be used for status queries for this port if 
the value of 'ppmPortSnmpStatusQueryEnabled' is 'true'.

If this object is zero, then monitoring applications MUST NOT 
attempt status queries for this port in the IETF Host Resources 
MIB (RFC 1514/2790) and/or IETF Printer MIB (RFC 1759/3805)."
    REFERENCE
"hrDeviceStatus, hrPrinterStatus, hrPrinterDetectedErrorState i
n IETF Host Resources MIB (RFC 1514/2790).
prtChannelStatus in IETF Printer MIB (RFC 1759/3805)."
    DEFVAL      { 0 }                   -- no host device index
    ::= { ppmPortEntry 7 }

---

From: Dennis Carney <[email-masked]>
Date: Fri, 25 Mar 2005 12:43:20 -0700

Ira, My reading of the "Introduction" and the "Background" of the document
seems to make it clear that the main MS model *IS* an embedded printer.

Mike Fenelon, is it really true that your port monitor makes it such that
each port *has to* have a different ppmPortHrDeviceIndex?  If a network
printer implemented this MIB and advertised both an LPR and a RAW port,
would you really have a problem if both ports had a ppmPortHrDeviceIndex of
1?

Dennis

             "McDonald, Ira"                                               
             <imcdonald@sharpl                                             
             abs.com>                                                   To 
             Sent by:                  "'Bergman, Ron'"                    
             [email-masked]         <[email-masked]>,       
                                       "McDonald, Ira"                     
                                       <[email-masked]>, "Adams,  
             03/25/2005 09:14          Charles A"                          
             AM                        <[email-masked]>, 
                                       [email-masked]                         
                                                                        cc 
                                                                           
                                                                   Subject 
                                       RE: PMP> Comments on Printer Port   
                                       Monitor MIB 1.0 working draft d     
                                       ated March 21, 2005                 

                                                                           

Hi Ron,

Cheers,
- Ira

-----Original Message-----
From: Bergman, Ron [mailto:[email-masked]]
Sent: Thursday, March 24, 2005 3:03 PM
To: McDonald, Ira; Adams, Charles A; [email-masked]
Subject: RE: PMP> Comments on Printer Port Monitor MIB 1.0 working draft
dated March 21, 2005

Ira,

Regarding your comment:

             Ron

From the MIB: